package Friends;

class Friends{
	Friend[] data;

	Friends(int maxFriends) {
		data = new Friend[maxFriends];
	}

	int Hash(String name){
		int value = 0;
		for (int i = 0; i < name.length(); ++i){
			char c = name.charAt(i);
			value = value * 31 + (int)c;
			System.out.println(c + ":" + (int)c + "  : " + value);
		}
		if (value < 0) 
			value = -value;

		System.out.println(name + " : " + value + " @ " + value % data.length);
		return value % data.length;
	}

	void Add(String name, String telephone){
		int index = Hash(name);
		while(data[index] != null)
			index = (index + 1) % data.length;
		data[index] = new Friend(name, telephone);
	}
	
	Friend GetFriend(String name){
		int index = Hash(name);
		while(data[index] != null && !data[index].name.equals(name))
			index = (index + 1) % data.length;
		return data[index];
	}
	

}
